# Administration Reference

## bos setauth

Purpose

Sets authorization checking requirements for all server processes

Synopsis

    bos setauth -server <machine name>
         -authrequired <on or off: authentication required for admin requests>
         [-cell <cell name>]  [-noauth]  [-localauth]  [-help]

    bos seta -s <machine name>
             -a <on or off: authentication required for admin requests>
             [-c <cell name>]  [-n]  [-l]  [-h]

Description

The bos setauth command enables or disables authorization checking on the server machine named by the -server argument. When authorization checking is enabled (the normal case), the AFS server processes running on the machine verify that the issuer of a command meets its privilege requirements. When authorization checking is disabled, server processes perform any action for anyone, including the unprivileged user anonymous; this security exposure precludes disabling of authorization checking except during installation or emergencies.

To indicate to the server processes that authorization checking is disabled, the BOS Server creates the zero-length file /usr/afs/local/NoAuth on its local disk. All AFS server processes constantly monitor for the NoAuth file's presence and do not check for authorization when it is present. The BOS Server removes the file when this command is used to reenable authorization checking.

Cautions

Do not create the NoAuth file directly, except when directed by instructions for dealing with emergencies (doing so requires being logged in as the local superuser root). Use this command instead.

Options

-server
  Indicates the server machine on which to enable or disable authorization checking. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see the introductory reference page for the bos command suite.

-authrequired
  Enables authorization checking if the value is on, or disables it if the value is off.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory bos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory bos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see the introductory bos reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following example disables authorization checking on the machine fs7.abc.com:

       % bos setauth -server fs7.abc.com -authrequired off

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser root if the -localauth flag is included.

Related Information

KeyFile

NoAuth

UserList

bos

bos restart

© IBM Corporation 2000. All Rights Reserved